
use strict;


package setting;



our %setting = (

	# 更新が無かったとしても，この時間が経過したら一度接続を切ります．
	'maximalTimeOfConnection' => 60 ,

	# 接続が切れてからこの時間内に再接続されなければ，退室したとみなします．
	'limitOfTimeOut' => 30 ,

	# このディレクトリに，会話データやロックファイルなどを生成します．
	'dataDirectory' => 'data' ,

	# タイムゾーン
	'timeZone' => 'JST-9' ,

	# 表示する投稿数
	'maximalNumberOfSendingMessage' => 50 ,

	# データ更新確認のインターバル．
	'intervalOfCheckingAlteration' => 1 ,

	# ロックの再試行のインターバル
	'intervalOfRetryingLock' => 0.5 ,

	# ロックの再試行回数
	'maximalNumberOfRetryingLock' => 5 ,

	# ロックディレクトリがこれよりも古ければ，それを破棄します．
	'durationOfLock' => 10 ,

);



1;
